toolzerhub API Docs

Get TikTok profile

Returns a TikTok profile's public statistics: followers, following, likes, and video count. An unknown username returns data: null.

1 credit / requestBilled only on success
GET
/v1/tiktok/profile

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

username*string

TikTok handle, with or without the leading "@".

curl -X GET "https://example.com/v1/tiktok/profile?username=tiktok" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "user": {      "unique_id": "tiktok",      "nickname": "TikTok",      "id": "string",      "sec_uid": "string",      "verified": true,      "signature": "string",      "avatar_large": "string"    },    "stats": {      "follower_count": 95500000,      "following_count": 0,      "heart_count": 463000000,      "video_count": 1499    }  }}